I2O_SCSI_BIOS_PARAM(9)

NAME
i2o_scsi_bios_param - Invent disk geometry

SYNOPSIS

int i2o_scsi_bios_param(struct scsi_device * sdev, struct block_device * dev, sector_t capacity, int * ip);

ARGUMENTS

sdev
    scsi device

dev
    block layer device

capacity
    size in sectors

ip
    geometry array

DESCRIPTION

This is anyone's guess quite frankly. We use the same rules everyone else appears to and hope. It seems to work.

COPYRIGHT